<script type="text/javascript">
$(document).ready(function() {
    $(function() {
        $("#theList.barang tr:even").addClass("stripe1");
        $("#theList.barang tr:odd").addClass("stripe2");

        $("#theList.barang tr").hover(
            function() {
                $(this).toggleClass("highlight");
            },
            function() {
                $(this).toggleClass("highlight");
            }
        );
    });	
});

	function pilih(ID){
		var kode = ID;
		$.ajax({
			type	: "POST",
			url		: "modul/pembelian/cari_sup.php",
			data	: "kode="+kode,
			dataType	: "json",
			success	: function(data){
				$("#txt_kodesp").val(kode);
				$("#txt_nama").val(data.namasup);
				$("#info_supplier").hide();
				$("#form_input").show();
				$("#txt_nofak").focus();
				tampil_detail();
			}
		});
	}
	
	function tampil_detail(){
		var kode = $("#txt_kodesp").val();
		$("#data_detail").load("md_keu/hut_dg/tampil_data_detail.php?kode="+kode);
		$("#txt_nofak").focus();
	}

</script>
<?php
include '../../inc/inc.koneksi.php';
$cari	= $_POST['cari'];

echo "<table id='theList' class='barang' width='100%'>
		<tr>
			<th>No.</th>
			<th>Kode</th>
			<th>Nama Supplier</th>
			<th>Alamat</th>			
			<th>Ambil</th>
		</tr>";
		
		if (!empty($cari))
			$sql = "SELECT * FROM supplier WHERE kode_sp LIKE '%$cari%' OR nama LIKE '%$cari%' ORDER BY kode_sp";
		else
			$sql = "SELECT * FROM supplier ORDER BY kode_sp";
		
		$query = mysql_query($sql);
		$jml_data = mysql_num_rows($query);
		$no=1;
		while($r_data=mysql_fetch_array($query)){
			echo "<tr>
					<td align='center'>$no</td>
					<td>$r_data[kode_sp]</td>
					<td>$r_data[nama]</td>
					<td>$r_data[alamat]</td>					
					<td align='center'>
						<a href='javascript:void(0)' onClick=\"pilih('$r_data[kode_sp]')\">
						<img src='icon/download.gif' border='0' id='tambah_data' title='Tambah' width='12' height='12' >
					</a>					
					</td>
					</tr>";
			$no++;			
		}
		
	echo "</table>";
?>